LS(1)

NIMI
ls - listaa hakemiston sisällön

YLEISKATSAUS
ls [VALITSIN]... [TIEDOSTO]...

KUVAUS

Luettele TIEDOSTOjen tiedot (oletuksena nykyinen hakemisto). Lajittele merkinnät aakkosjärjestykseen ellei mitään valitsimista -cftuvSUX tai --sort ole annettu.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-a, --all
    älä piilota merkintöjä, joiden alussa on .

-A, --almost-all
    älä luettele hakemistoja . ja ..

--author
    kun -l annettu, tulosta kunkin tiedoston tekijä

-b, --escape
    print C-style escapes for nongraphic characters

--block-size=KOKO
    -l:llä, asteikkokoot KOON MUKAAN tulostettaessa; esimerkiksi --block-size=M; katso ALLA oleva SIZE-muoto

-B, --ignore-backups
    älä luettele merkintöjä, joiden lopussa on ~

-c  with -lt: sort by, and show, ctime (time of last change of file status information); with -l: show ctime and sort by name; otherwise: sort by ctime, newest first

-C  luettele merkinnät sarakkeissa

--color[=MILLOIN]
    color the output WHEN; more info below

-d, --directory
    list directories themselves, not their contents

-D, --dired
    tuota tuloste Emacsin dired-muodossa

-f  same as -a -U

-F, --classify[=MILLOIN]
    append indicator (one of */=>@|) to entries WHEN

--file-type
    likewise, except do not append '*'

--format=SANA
    across,horizontal (-x), commas (-m), long (-l), single-column (-1), verbose (-l), vertical (-C)

--full-time
    kuten -l --time-style=full-iso

-g  kuten -l, mutta älä näytä omistajia

--group-directories-first
    group directories before files

-G, --no-group
    pitkässä listauksessa, älä tulosta ryhmän nimiä

-h, --human-readable
    kun -l ja -s annettu, näytä koot helppolukuisessa muodossa (esim. 1K 234M 2G)

--si
    sama kuin edellä, mutta kantalukuna 1000, ei 1024

-H, --dereference-command-line
    follow symbolic links listed on the command line

--dereference-command-line-symlink-to-dir
    follow each command line symbolic link that points to a directory

--hide=HAHMO
    älä luettele HAHMOon täsmääviä merkintöjä (-a ja -A kumoavat tämän valitsimen)

--hyperlink[=MILLOIN]
    hyperlink file names WHEN

--indicator-style=SANA
    lisää SANAn mukainen ilmaisin merkintöjen nimiin: none (oletus), slash (-p), file-type (--file-type), classify (-F)

-i, --inode
    print the index number of each file

-I, --ignore=HAHMO
    älä luettele HAHMOon täsmääviä merkintöjä

-k, --kibibytes
    oletusarvo on 1024 tavun lohkot levyn käyttöä varten; käytetään vain -s:n ja hakemiston loppususnien kanssa

-l  käytä pitkää luettelumuotoa

-L, --dereference
    näytettäessä symbolisen linkin tietoja, näytä linkin kohteen tiedot, ei linkin itsensä tietoja

-m  näytä tiedostonimet pilkuilla erotettuna luettelona

-n, --numeric-uid-gid
    kuten -l, mutta luettele käyttäjä- ja ryhmä-ID:t numeerisina

-N, --literal
    print entry names without quoting

-o  kuten -l, mutta älä näytä ryhmätietoja

-p, --indicator-style=slash
    lisää hakemistoihin ilmaisin ”/”

-q, --hide-control-chars
    tulosta ”?” ei-graafisten merkkien sijaan

--show-control-chars
    näytä ei-graafiset merkit sellaisinaan (on oletus, ellei ohjelma ole ls ja tulostelaitteena pääte)

-Q, --quote-name
    sijoita tiedostonimet lainausmerkkeihin

--quoting-style=SANA
    use quoting style WORD for entry names: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (overrides QUOTING_STYLE environment variable)

-r, --reverse
    käännä lajittelun järjestys

-R, --recursive
    luettele alihakemistot rekursiivisesti

-s, --size
    tulosta kunkin tiedoston varaama koko lohkoina

-S  sort by file size, largest first

--sort=SANA
    change default 'name' sort to WORD: none (-U), size (-S), time (-t), version (-v), extension (-X), name, width

--time=SANA
    select which timestamp used to display or sort; access time (-u): atime, access, use; metadata change time (-c): ctime, status; modified time (default): mtime, modification; birth time: birth, creation;

    with -l, WORD determines which time to show; with --sort=time, sort by WORD (newest first)

--time-style=TIME_STYLE
    time/date format with -l; see TIME_STYLE below

-t  sort by time, newest first; see --time

-T, --tabsize=LEVEYS
    aseta sarkainkooksi LEVEYS, ei 8

-u  with -lt: sort by, and show, access time; with -l: show access time and sort by name; otherwise: sort by access time, newest first

-U  do not sort directory entries

-v  natural sort of (version) numbers within text

-w, --width=LEVEYS
    set output width to COLS. 0 means no limit

-x  luettele merkinnät riveittäin, ei sarakkeittain

-X  aakkosta merkinnän päätteen mukaan

-Z, --context
    print any security context of each file

--zero
    päätä rivit NUL-tavuun, ei rivinvaihtoon

-1  luettele vain yksi tiedosto yhdellä rivillä

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

SIZE-argumentti on kokonaisluku ja valinnainen yksikkö (esimerkki: 10K on 10*1024). Yksiköt ovat K,M,G,T,P,E,Z,Y,R,Q (tehot 1024) tai KB,MB,... (1000:n valtuudet). Binaarien etuliitteenä voidaan käyttää myös: KiB=K, MiB=M ja niin edelleen.

The TIME_STYLE argument can be full-iso, long-iso, iso, locale, or +FORMAT. FORMAT is interpreted like in date(1). If FORMAT is FORMAT1<newline>FORMAT2, then FORMAT1 applies to non-recent files and FORMAT2 to recent files. TIME_STYLE prefixed with 'posix-' takes effect only outside the POSIX locale. Also the TIME_STYLE environment variable sets the default style to use.

The WHEN argument defaults to 'always' and can also be 'auto' or 'never'.

Värin käyttö tiedostotyyppien erottamiseen on oletusarvoisesti poistettu käytöstä sekä --color=never koskaan. --color=auto, ls lähettää värikoodeja vain, kun vakiolähtö on kytketty liittimeen. Ympäristö LS_COLORS ympäristö muuttuja voi muuttaa asetuksia. Aseta se dircolors(1)-komennolla.

  Poistumisen tila:

0   jos ok,

1   jos on pieniä ongelmia (esim. ei pääse alikansioon),

2   jos vakavia ongelmia (esim. komentoriviargumentti ei ole esty).

TEKIJÄ
Kirjoittaneet Richard M. Stallman ja David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

KATSO MYÖS
dircolors(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/ls>
tai saatavilla paikallisesti: info '(coreutils) ls invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen.
Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Risto Levänen <rike@freenet.hut.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.